
Redmine - Defect #10034

Default state is always saved by duplicating tickets

2012-01-20 10:52 - Wladimir Schwitin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.2.1

Description

To reproduce:

1. open a ticket in state different from default

2. click "Duplicate", you get a form where the original state is selectet, other states, allowed for this role are aviable for selection

3. click save

4. the newly created ticket has a default state ("neu" in my case)

History

#1 - 2012-01-20 15:47 - Terence Mill

confirmed!

#2 - 2012-01-20 15:59 - Wladimir Schwitin

This behaviour may be correct. In this case the state-dropdown in the form should be reduced to the default state.

#3 - 2012-06-19 17:09 - Terence Mill

Is that fixed?

#4 - 2019-06-08 05:00 - Go MAEDA

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Fixed

The "Duplicate" action has been integrated into "Copy" action in r8552, so Redmine 1.4.0 and later does not have the action.

In Redmine 3.4.0 or later, the status is reset to the default when copying (#23610).
